Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.redis.connection
Class PoolConfig

    java.lang.Object
      org.apache.commons.pool.impl.GenericObjectPool.Config
          org.springframework.data.redis.connection.PoolConfig

    public class PoolConfig

extends org.apache.commons.pool.impl.GenericObjectPool.Config

Subclass of `GenericObjectPool.Config` that includes setters for instantiation in Spring

Field Summary

Fields inherited from class org.apache.commons.pool.impl.GenericObjectPool.Config
`lifo, maxActive, maxIdle, maxWait, minEvictableIdleTimeMillis, minIdle, numTestsPerEvictionRun, softMinEvictableIdleTimeMillis, testOnBorrow, testOnReturn, testWhileIdle, timeBetweenEvictionRunsMillis, whenExhaustedAction`

Constructor Summary
`PoolConfig()`

Method Summary
`void` | `setMaxActive(int maxActive)`
`void` | `setMaxIdle(int maxIdle)`
`void` | `setMaxWait(long maxWait)`
`void` | `setMinEvictableIdleTimeMillis(long minEvictableIdleTimeMillis)`
`void` | `setMinIdle(int minIdle)`
`void` | `setNumTestsPerEvictionRun(int numTestsPerEvictionRun)`
`void` | `setSoftMinEvictableIdleTimeMillis(long softMinEvictableIdleTimeMillis)`
`void` | `setTestOnBorrow(boolean testOnBorrow)`
`void` | `setTestOnReturn(boolean testOnReturn)`
`void` | `setTestWhileIdle(boolean testWhileIdle)`
`void` | `setTimeBetweenEvictionRunsMillis(long timeBetweenEvictionRunsMillis)`
`void` | `setWhenExhaustedAction(byte whenExhaustedAction)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PoolConfig

    public PoolConfig()

Method Detail

### setMaxIdle

    public void setMaxIdle(int maxIdle)

### setMinIdle

    public void setMinIdle(int minIdle)

### setMaxActive

    public void setMaxActive(int maxActive)

### setMaxWait

    public void setMaxWait(long maxWait)

### setWhenExhaustedAction

    public void setWhenExhaustedAction(byte whenExhaustedAction)

### setTestOnBorrow

    public void setTestOnBorrow(boolean testOnBorrow)

### setTestOnReturn

    public void setTestOnReturn(boolean testOnReturn)

### setTestWhileIdle

    public void setTestWhileIdle(boolean testWhileIdle)

### setTimeBetweenEvictionRunsMillis

    public void setTimeBetweenEvictionRunsMillis(long timeBetweenEvictionRunsMillis)

### setNumTestsPerEvictionRun

    public void setNumTestsPerEvictionRun(int numTestsPerEvictionRun)

### setMinEvictableIdleTimeMillis

    public void setMinEvictableIdleTimeMillis(long minEvictableIdleTimeMillis)

### setSoftMinEvictableIdleTimeMillis

    public void setSoftMinEvictableIdleTimeMillis(long softMinEvictableIdleTimeMillis)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD